/*
 * Intel ACPI Component Architecture
 * AML Disassembler version 20120320-32 [Sep  3 2012]
 * Copyright (c) 2000 - 2012 Intel Corporation
 * 
 * Disassembly of /tmp/DarwinDumper_2.4.9_Chimera_1.5_ML_Pontifikes/ACPIDump/AML/SSDT-1.aml, Wed Apr 10 22:03:57 2013
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x0000043F (1087)
 *     Revision         0x01
 *     Checksum         0x43
 *     OEM ID           "COMPAL"
 *     OEM Table ID     "CRV ORB "
 *     OEM Revision     0x00001000 (4096)
 *     Compiler ID      "ACPI"
 *     Compiler Version 0x00040000 (262144)
 */

DefinitionBlock ("/tmp/DarwinDumper_2.4.9_Chimera_1.5_ML_Pontifikes/ACPIDump/AML/SSDT-1.aml", "SSDT", 1, "COMPAL", "CRV ORB ", 0x00001000)
{
    External (AOST)
    External (AOAC, IntObj)
    External (\_SB_.PCI0.LPCB.EC0_.AAEW)
    External (\_SB_.PCI0.LPCB.EC0_.AASD)
    External (\_SB_.PCI0.LPCB.RTC_.RTCS)
    External (\_SB_.PCI0.LPCB.RTC_.RTCM)
    External (\_SB_.PCI0.LPCB.RTC_.RTCH)
    External (\_SB_.PCI0.LPCB.EC0_.AAND)
    External (\_SB_.PCI0.LPCB.EC0_.WLAT)
    External (\_SB_.PCI0.LPCB.EC0_.AAST)

    Scope (\_SB)
    {
        Device (IAOE)
        {
            Name (_HID, "INT33A0")
            Name (_UID, Zero)
            Name (AOS1, Zero)
            Name (ANS1, Zero)
            Name (WLS1, One)
            Name (WWS1, One)
            Name (ASDS, Zero)
            Name (ECWM, Zero)
            Name (ISCS, Zero)
            Name (ISCM, Zero)
            Name (ISCH, Zero)
            Name (PRTS, Zero)
            Name (PRTM, Zero)
            Name (PRTH, Zero)
            Method (GABS, 0, NotSerialized)
            {
                Or (AOAC, 0x70, AOAC)
                And (AOAC, 0x7F, AOAC)
                Return (AOAC)
            }

            Method (GAOS, 0, NotSerialized)
            {
                Return (AOS1)
            }

            Method (SAOS, 1, NotSerialized)
            {
                If (LEqual (And (Arg0, One), One))
                {
                    Store (One, AOST)
                    Store (One, AOS1)
                }
                Else
                {
                    Store (Zero, AOST)
                    Store (Zero, AOS1)
                    Store (Zero, \_SB.PCI0.LPCB.EC0.AAST)
                }
            }

            Method (GANS, 0, NotSerialized)
            {
                Return (ANS1)
            }

            Method (SANS, 1, NotSerialized)
            {
                If (LEqual (And (Arg0, One), One))
                {
                    Store (One, ANS1)
                }
                Else
                {
                    Store (Zero, ANS1)
                }
            }

            Method (GWLS, 0, NotSerialized)
            {
                And (WLS1, 0xFE, WLS1)
                Or (WLS1, \_SB.PCI0.LPCB.EC0.WLAT, WLS1)
                Return (WLS1)
            }

            Method (SWLS, 1, NotSerialized)
            {
                Store (And (Arg0, 0xFE), Local0)
                Store (And (WLS1, One), WLS1)
                Store (Or (Local0, WLS1), WLS1)
                If (LOr (LEqual (And (WLS1, 0x02), 0x02), LEqual (And (
                    WLS1, 0x04), 0x04)))
                {
                    Store (One, \_SB.PCI0.LPCB.EC0.AAND)
                }
                Else
                {
                    Store (Zero, \_SB.PCI0.LPCB.EC0.AAND)
                }
            }

            Method (GWWS, 0, NotSerialized)
            {
                Return (WWS1)
            }

            Method (SWWS, 1, NotSerialized)
            {
                Store (And (Arg0, 0xFE), Local0)
                Store (And (WWS1, One), WWS1)
                Store (Or (Local0, WWS1), WWS1)
            }

            Method (SASD, 1, NotSerialized)
            {
                Store (Arg0, ASDS)
                If (LEqual (ShiftRight (ASDS, 0x1F), One))
                {
                    Store (FromBCD (\_SB.PCI0.LPCB.RTC.RTCH), PRTH)
                    Store (ShiftRight (ASDS, 0x0C), ISCH)
                    Store (And (ISCH, 0x1F), ISCH)
                    If (LGreater (PRTH, ISCH))
                    {
                        Add (ISCH, 0x18, ISCH)
                    }

                    Subtract (ISCH, PRTH, ISCH)
                    Multiply (ISCH, 0x3C, ECWM)
                    Store (FromBCD (\_SB.PCI0.LPCB.RTC.RTCM), PRTM)
                    Store (ShiftRight (ASDS, 0x06), ISCM)
                    Store (And (ISCM, 0x3F), ISCM)
                    If (LGreater (PRTM, ISCM))
                    {
                        Subtract (ECWM, 0x3C, ECWM)
                        Add (ISCM, 0x3C, ISCM)
                    }

                    Subtract (ISCM, PRTM, ISCM)
                    Add (ECWM, ISCM, ECWM)
                    Store (FromBCD (\_SB.PCI0.LPCB.RTC.RTCS), PRTS)
                    Store (And (ASDS, 0x3F), ISCS)
                    If (LGreater (PRTS, ISCS))
                    {
                        Subtract (ECWM, One, ECWM)
                        Add (ISCS, 0x3C, ISCS)
                    }

                    Subtract (ISCS, PRTS, ISCS)
                    If (LGreaterEqual (ISCS, 0x1E))
                    {
                        Add (ECWM, One, ECWM)
                    }

                    Store (ECWM, \_SB.PCI0.LPCB.EC0.AASD)
                }
                Else
                {
                    Divide (ASDS, 0x3C, Local0, ECWM)
                    If (LGreaterEqual (Local0, 0x1E))
                    {
                        Add (ECWM, One, ECWM)
                    }

                    Store (ECWM, \_SB.PCI0.LPCB.EC0.AASD)
                }
            }

            Method (GPWR, 0, NotSerialized)
            {
                If (LAnd (LEqual (\_SB.PCI0.LPCB.EC0.AAEW, One), LEqual (\_SB.PCI0.LPCB.EC0.AAND, Zero)))
                {
                    Return (0x02)
                }
                Else
                {
                    If (LAnd (LEqual (\_SB.PCI0.LPCB.EC0.AAEW, One), LEqual (\_SB.PCI0.LPCB.EC0.AAND, One)))
                    {
                        Return (0x08)
                    }
                    Else
                    {
                        Return (One)
                    }
                }
            }
        }
    }
}

